Subject: Re: [PATCH gnome-team v4] gnu: tracker: Update to 3.6.0.

From: Liliana Marie Prikler <[email-masked]>
Date: Sun, 17 Sep 2023 21:51:15 +0200

Am Sonntag, dem 17.09.2023 um 13:29 +0200 schrieb Vivien Kraus:
> * gnu/packages/gnome.scm (tracker): Update to 3.6.0.
> [#:phases]: Add 'disable-failing-tests'.
> ---
> 
> > You don't need the clunky #t if you use and
> True. Thank you, I did not think of that.
> 
> > but I'm sure there are other places that already have such logic to
> > copy from with more idiomatic code.  Case in point: glib, which has
> > patches for i686 and hurd.
> 
> I can do the same as glib, but then on x86_64, where nothing is
> spliced in, the phase becomes `(lambda _)' which is a syntax error in
> Guile (lambdas must have at least one item in body). I can do the
> "and" trick, or do as glib and write '("Nothing to do :)") in the
> not-x86-32 branch of the if instead of '(). What would be best?
And that's where my original comment with unspecified comes back in.  
If you add *unspecified* after a bunch of conditional code that may or
may not get expanded, you will at least not have an empty body :)

Also remember to use #$@ rather than #$ for reasons (allows you to use
lists rather than forcing begin everywhere).

Cheers